Skip to content
Permalink
Browse files

build: update minimum Xcode version for macOS

Update the minimum Xcode version for macOS to 10. We'll
need this level to incorporate future V8 versions.

Refs: #29493

PR-URL: #29622
Reviewed-By: Gus Caplan <me@gus.host>
Reviewed-By: Jiawen Geng <technicalcute@gmail.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: Rod Vagg <rod@vagg.org>
Reviewed-By: Ruben Bridgewater <ruben@bridgewater.de>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>
Reviewed-By: Beth Griggs <Bethany.Griggs@uk.ibm.com>
  • Loading branch information...
mhdawson committed Sep 19, 2019
1 parent ac59dc4 commit 9f830f37daf55a2c903153e1681873a8cd61baee
Showing with 3 additions and 3 deletions.
  1. +3 −3 BUILDING.md
@@ -159,7 +159,7 @@ Depending on the host platform, the selection of toolchains may vary.
| ---------------- | -------------------------------------------------------------- |
| Linux | GCC >= 6.3 |
| Windows | Visual Studio >= 2017 with the Windows 10 SDK on a 64-bit host |
| macOS | Xcode >= 8 (Apple LLVM >= 8) |
| macOS | Xcode >= 10 (Apple LLVM >= 10) |

### Official binary platforms and toolchains

@@ -168,7 +168,7 @@ Binaries at <https://nodejs.org/download/release/> are produced on:
| Binary package | Platform and Toolchain |
| --------------------- | ------------------------------------------------------------------------ |
| aix-ppc64 | AIX 7.1 TL05 on PPC64BE with GCC 6 |
| darwin-x64 (and .pkg) | macOS 10.11, Xcode Command Line Tools 8 with -mmacosx-version-min=10.10 |
| darwin-x64 (and .pkg) | macOS 10.11, Xcode Command Line Tools 10 with -mmacosx-version-min=10.10 |
| linux-arm64 | CentOS 7 with devtoolset-6 / GCC 6 |
| linux-armv7l | Cross-compiled on Ubuntu 16.04 x64 with [custom GCC toolchain](https://github.com/rvagg/rpi-newer-crosstools) |
| linux-ppc64le | CentOS 7 with devtoolset-6 / GCC 6 <sup>[7](#fn7)</sup> |
@@ -257,7 +257,7 @@ FreeBSD and OpenBSD users may also need to install `libexecinfo`.

#### macOS prerequisites

* Xcode Command Line Tools >= 8 for macOS
* Xcode Command Line Tools >= 10 for macOS
* Python (see note above)
* Python 2.7
* Python 3.5, 3.6, and 3.7 are experimental.

0 comments on commit 9f830f3

Please sign in to comment.
You can’t perform that action at this time.